import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { AssetMongoModel, AssetRawModel } from '@alien-worlds/aw-antelope';
export type BalanceobsvMongoModel = {
    _id?: MongoDB.ObjectId;
    account_balance_deltas?: AccountBalanceDeltaMongoModel[];
    dac_id?: string;
    [key: string]: unknown;
};
export type AccountBalanceDeltaMongoModel = {
    _id?: MongoDB.ObjectId;
    account?: string;
    balance_delta?: AssetMongoModel;
    [key: string]: unknown;
};
export type BalanceobsvRawModel = {
    account_balance_deltas?: AccountBalanceDeltaRawModel[];
    dac_id?: string;
    [key: string]: unknown;
};
export type AccountBalanceDeltaRawModel = {
    account?: string;
    balance_delta?: AssetRawModel;
    [key: string]: unknown;
};
