import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Removecstvte } from "../../domain/entities";
import { RemovecstvteMongoModel, RemovecstvteRawModel } from "../dtos/removecstvte.dto";
export declare class RemovecstvteMongoMapper extends MongoMapper<Removecstvte, RemovecstvteMongoModel> {
    constructor();
    toEntity(mongoModel: RemovecstvteMongoModel): Removecstvte;
}
export declare class RemovecstvteRawMapper extends MapperImpl<Removecstvte, RemovecstvteRawModel> {
    fromEntity(entity: Removecstvte): RemovecstvteRawModel;
    toEntity(rawModel: RemovecstvteRawModel): Removecstvte;
}
