import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Unregproxy } from "../../domain/entities";
import { UnregproxyMongoModel, UnregproxyRawModel } from "../dtos/unregproxy.dto";
export declare class UnregproxyMongoMapper extends MongoMapper<Unregproxy, UnregproxyMongoModel> {
    constructor();
    toEntity(mongoModel: UnregproxyMongoModel): Unregproxy;
}
export declare class UnregproxyRawMapper extends MapperImpl<Unregproxy, UnregproxyRawModel> {
    fromEntity(entity: Unregproxy): UnregproxyRawModel;
    toEntity(rawModel: UnregproxyRawModel): Unregproxy;
}
