import { CandidatesRawModel, Candidates2RawModel, CandpermsRawModel, Custodians1RawModel, DacglobalsRawModel, PendingpayRawModel, ProxiesRawModel, VotesRawModel } from '../deltas/data/dtos';
import { AntelopeRpcSourceImpl, AntelopeSmartContractServiceImpl } from '@alien-worlds/aw-antelope';
import { DaoWorldsContractService } from './dao-worlds-contract.service';
import { GetTableRowsOptions, Result } from '@alien-worlds/aw-core';
export declare class DaoWorldsContractServiceImpl extends AntelopeSmartContractServiceImpl implements DaoWorldsContractService {
    constructor(antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string);
    fetchCandidates(options?: GetTableRowsOptions): Promise<Result<CandidatesRawModel[], Error>>;
    fetchCandidates2(options?: GetTableRowsOptions): Promise<Result<Candidates2RawModel[], Error>>;
    fetchCandperms(options?: GetTableRowsOptions): Promise<Result<CandpermsRawModel[], Error>>;
    fetchCustodians1(options?: GetTableRowsOptions): Promise<Result<Custodians1RawModel[], Error>>;
    fetchDacglobals(options?: GetTableRowsOptions): Promise<Result<DacglobalsRawModel[], Error>>;
    fetchPendingpay(options?: GetTableRowsOptions): Promise<Result<PendingpayRawModel[], Error>>;
    fetchProxies(options?: GetTableRowsOptions): Promise<Result<ProxiesRawModel[], Error>>;
    fetchVotes(options?: GetTableRowsOptions): Promise<Result<VotesRawModel[], Error>>;
}
